.ews-course-search {
    position: relative;
}
input#ews-search-input{
	color: #ffff;
}
input#ews-search-input::placeholder {
    color: #ffff;
}
/* 🔥 Initially hidden input */
.ews-search-box {
    position: relative;
    width: 40px;
    transition: all 0.3s ease;
    border-bottom: 2px solid transparent;
}

/* Active state */
.ews-search-box.active {
    width: 250px;
    border-bottom: 2px solid #ffff;
}

/* Input */
#ews-search-input {
    width: 100%;
    padding: 8px 30px 8px 0;
    border: none;
    outline: none;
    background: transparent;
    opacity: 0;
    transition: 0.3s;
}

/* Show input when active */
.ews-search-box.active #ews-search-input {
    opacity: 1;
}

/* Icon */
.ews-search-icon {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    font-size: 16px;
    color: #ffff;
}


#ews-search-results {
    position: absolute;
	right: 0;
    width: 400px;
    background: #fff;
    z-index: 999;
    max-height: 300px;
    overflow-y: auto;
    box-shadow: 0 5px 15px rgba(0,0,0,0.08);
}
#ews-search-results .ews-results-list .ews-result-item{
	padding: 15px;
	margin: 15px;
	border: 1px solid #e7e7e7;
	border-radius: 12px;
	display: flex;
    align-items: flex-start;
    gap: 15px;
	box-shadow: 0px 6px 10px 0 #e7e7e7;
}
#ews-search-results .ews-results-list .ews-result-item .ews-thumb{
	padding-top: 0;
}
#ews-search-results .ews-results-list .ews-result-item .ews-thumb img{
	width: 70px;
	min-width: 70px;
	height: auto;
	max-width: 100%;
	object-fit: cover;
	border-radius: 4px;
}
#ews-search-results .ews-results-list .ews-result-item .ews-content h4{
	font-size: 18px;
	margin-bottom: 6px;
}
#ews-search-results .ews-results-list .ews-result-item .ews-content p{
	color: #111;
	font-size: 12px;
	line-height: 1.2;
}


@media(max-width: 576px){
	#ews-search-results .ews-results-list .ews-result-item .ews-content h4{
		font-size: 16px;
	}
	#ews-search-results .ews-results-list .ews-result-item .ews-content p{
		font-size: 11px;
	}
	.ews-search-box.active{
		border-bottom: none;
	}
	#ews-search-results{
		width: 280px;
	}
	.ews-search-box #ews-search-input{
		padding: 5px 30px 5px 15px;
		min-height: 40px;
		font-size: 12px;
		position: absolute;
		z-index: 9;
		right: 20px;
		width: 100%;
		min-width: calc(100vw - 40px);
		background: #fff;
		color: #000;
		box-shadow: 0px 6px 10px 0 #00000062;
		border: 1px solid #0000003b;
		border-radius: 10px;
	}
	.ews-search-box.active #ews-search-input::placeholder{
		color: #000;
	}
	.ews-search-box.active{
		width: fit-content;
	}
	.ews-search-box{
		display: flex;
		align-items: center;
		justify-content: flex-end;
	}
	.ews-search-icon{
		position: static;
		transform: none;
		top: unset;
		right: unset;
	}
}